Bug 249325 - Review Request: yum-updatesd - Update notification daemon
Review Request: yum-updatesd - Update notification daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 14:47 EDT by Jeremy Katz
Modified: 2013-01-10 04:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 16:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jbowes: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-07-23 14:47:37 EDT
Spec URL: http://katzj.fedorapeople.org/yum-updatesd.spec
SRPM URL: http://katzj.fedorapeople.org/repos/yum-updatesd/yum-updatesd-0.3-1.fc8.noarch.rpm
Description: 
yum-updatesd provides a daemon which checks for available updates and
can notify you when they are available via email, syslog or dbus.

Note: this is the new and split out yum-updatesd.  It has an epoch of 1 so that it will update the standalone version from the yum package (which will be gone as of yum 3.2.3, and will be removed from rawhide when we push this package into the repo).

[katzj@aglarond repo]$ rpmlint yum-updatesd-0.3-1.fc8.src.rpm  yum-updatesd-0.3-1.fc8.noarch.rpm
W: yum-updatesd invalid-license GPLv2
W: yum-updatesd invalid-license GPLv2

This is pedantically correct.

W: yum-updatesd conffile-without-noreplace-flag /etc/dbus-1/system.d/yum-updatesd.conf

dbus configs aren't intended to be human editable

W: yum-updatesd service-default-enabled /etc/rc.d/init.d/yum-updatesd

We intentionally have the service enabled by default so that users can take advantage of it.
Comment 1 James Bowes 2007-07-23 14:53:14 EDT
You meant:
http://katzj.fedorapeople.org/repos/yum-updatesd/yum-updatesd-0.3-1.fc8.src.rpm
for the source rpm, right?
Comment 2 Jeremy Katz 2007-07-23 15:09:40 EDT
Yes.  One of these days I'll learn to type what I mean :-)
Comment 3 James Bowes 2007-07-23 15:25:17 EDT
I have 4 minor nits:
* use BuildArch instead of BuildArchitectures
* use the 4 argument form of defattr
* include a full url for source0 (when such a thing exists)
* use sh rather than bash for the init script (if possible)

These are just my preferences, however.

Review:
* source files match upstream:
   Jeremy is the upstream, so this is ok.   
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (F7, i686).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   config(yum-updatesd) = 1:0.3-1.fc7
   yum-updatesd = 1:0.3-1.fc7
  =
   /bin/bash  
   /bin/sh  
   /sbin/chkconfig  
   /sbin/service  
   /usr/bin/python  
   config(yum-updatesd) = 1:0.3-1.fc7
   dbus-python  
   gamin-python  
   pygobject2  
   python >= 2.4
   yum >= 3.2.0
* %check is not present (no test suite upstream)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriplets are sane.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Jeremy Katz 2007-07-23 15:30:06 EDT
(In reply to comment #3)
> I have 4 minor nits:
> * use BuildArch instead of BuildArchitectures
> * use the 4 argument form of defattr

Fixed both of these in git for the next version

> * include a full url for source0 (when such a thing exists)

This is in progress and I'll get it added in the next couple of days

> * use sh rather than bash for the init script (if possible)

This will break the initscript translation stuff as it's bash-specific how that
works
Comment 5 Jeremy Katz 2007-07-23 15:31:41 EDT
New Package CVS Request
=======================
Package Name:  yum-updatesd
Short Description: Update notification daemon
Owners: katzj@redhat.com
Branches: devel

Note You need to log in before you can comment on or make changes to this bug.